Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname tar-stream

Name:           nodejs-%{srcname}
Version:        1.5.2
Release:        alt1_5
Summary:        A streaming tar parser and generator
License:        MIT
URL:            https://github.com/mafintosh/tar-stream
Source0:        https://github.com/mafintosh/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(bl)
BuildRequires:  npm(xtend)
BuildRequires:  npm(end-of-stream)
BuildRequires:  npm(concat-stream)
%endif
Source44: import.info


%description
tar-stream is a streaming tar parser and generator and nothing else. It is 
streams2 and operates purely using streams which means you can easily 
extract/parse tarballs without ever hitting the file system.


%prep
%setup -q -n %{srcname}-%{version}

rm -rf node_modules/
%nodejs_fixdep readable-stream


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tape test/*.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Mar 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.2-alt1_5
- new version

